import { EventEmitter } from "../../stencil-public-runtime";
import { TFocusOptions } from "../ez-text-input/ez-text-input";
export declare class EzFilterInput {
  private _elem;
  private _textInput;
  private _searchingText;
  /**
   * Emitido quando acontece a alteração de valor do campo.
   */
  ezChange: EventEmitter<string>;
  /**
   * Emitido quando está sendo realizada uma pesquisa no modo asyncSearch.
   */
  ezSearching: EventEmitter<string>;
  /**
   * Emitido quando acontece o foco no campo.
   */
  ezFocusIn: EventEmitter<void>;
  /**
  * Texto a ser apresentado como título do campo.
  */
  label: string;
  /**
   * Define o valor do campo.
   */
  value: string;
  /**
   * Se false o usuário não pode interagir com o campo.
   */
  enabled: boolean;
  /**
   * Define uma mensagem de orientação ao usuário, colocando o campo em modo inválido.
   */
  errorMessage: string;
  /**
   * Restringe o que o usuário pode digitar.
   */
  restrict: string;
  /**
   * Define o tamanho do campo.
   */
  mode: "slim" | "regular";
  /**
   * Define se o campo irá funcionar de forma assíncrona.
   */
  asyncSearch: boolean;
  /**
   * Se false deixa de exibir a mensagem de erro dentro do campo.
   */
  canShowError: boolean;
  /**
   * Se true o campo de texto receberá o foco ao ser renderizado.
   */
  autoFocus: boolean;
  observeLabel(): void;
  observeErrorMessage(): void;
  observeValue(newValue: string, oldValue: string): void;
  /**
   * Aplica o foco no campo.
   */
  setFocus(options?: TFocusOptions): Promise<void>;
  /**
   * Remove o foco do campo.
   */
  setBlur(): Promise<void>;
  /**
   * Retorna se o conteúdo é inválido.
   */
  isInvalid(): Promise<boolean>;
  /**
   * Método responsável por setar um novo valor ao campo.
   */
  setValue(newValue: string): Promise<void>;
  /**
   * Método responsável por resetar o valor do campo para o ultimo valor inputado.
   */
  endSearch(): Promise<void>;
  handleChange(evt: CustomEvent<string>): void;
  handleFocus: () => void;
  componentDidLoad(): void;
  render(): any;
}
